#include <bits/stdc++.h>
using namespace std;
int snt(int n)
{
    int i;
    if(n<2)return 0;
    else
    {
        for(i=2;i<=sqrt(n);i++)
        {
           if(n%i==0)return 0;
        }
    }
    return 1;
}
int main()
{
    ifstream f1("Prime.inp");
    int n,i,k,a[10000],j;
    f1>>n;
    k=pow(10,5);
    j=0;
    f1.close();
    ofstream f2("Prime.out");
    for(i=2;i<=k;i++)
    {
       if(snt(i)==1)
       {
           a[j]=i;
           j++;
       }
    }
    f2<<a[n-1];
    f2.close();
}
